/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * dw脚本版本同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-25 11:15:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "dw脚本版本同步表")
public class DwAtuScriptVersion extends Partition implements POJO
{
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_versionId = "versionId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer versionId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-createdBy: 数据长度不能 > 50" )
  private String createdBy;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Date createdTime;

  /**
   * <br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * <br>
   *
   * @param scriptId 
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * <br>
   */
  public Integer getVersionId()
  {
      return versionId;
    }

  /**
   * <br>
   *
   * @param versionId 
   */
  public void setVersionId(Integer versionId)
  {
      this.versionId = versionId;
    }
  /**
   * <br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * <br>
   *
   * @param createdBy 
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * <br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * <br>
   *
   * @param createdTime 
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }

  public DwAtuScriptVersion()
  {
  }

}
